/* $Id: log.h,v 1.1.1.1 2005/05/28 17:24:26 bedlam Exp $ */
/* log.h
 * - logging function declarations for ices
 * Copyright (c) 2000 Alexander Havng
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 *
 */

/* Public function declarations */
void stream404_log (const char *fmt, ...);
void stream404_log_error (const char *fmt, ...);
void stream404_log_debug (const char *fmt, ...);
char *stream404_log_get_error (void);
int stream404_log_reopen_logfile (void);
void stream404_log_initialize (void);
void stream404_log_shutdown (void);
void stream404_log_daemonize (void);

















